#!BuildIgnore:  post-build-checks
#
# spec file for package xorp (Version 1.6)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           xorp
%define _libexecdir %{_prefix}/lib
#
Version:        1.6
Release:        8.6
#
License:        BSD
Group:          Productivity/Networking/Routing
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ iptables-devel net-snmp-devel openssl-devel pcre-devel python-devel tcpd-devel
BuildRequires:	procps
#
Url:            http://www.xorp.org/
Source:         http://www.xorp.org/releases/%{version}/%{name}-%{version}.tar.gz
Source1:        http://www.xorp.org/releases/%{version}/docs-%{version}.tar.gz
Patch0:		%{name}-%{version}_no_Werror.patch
#
Summary:        XORP is the eXtensible Open Router Platform.

%description
XORP currently provides a set of routing protocol
implementations, an extensible programming API, and
configuration tools. The supported protocols are BGP, RIP,
PIM-SM, and IGMP/MLD. IPv4 and IPv6 are both supported. The
list of protocols and features will hopefully grow as more
people start contributing to the project.

At the present time, XORP does not implement its own forwarding
system. It is reliant on the forwarding of the underlying host
operating system. We would like to support forwarding in custom
hardware and software architectures in future. An example being
the Click modular router.

Authors:
---------
 * Fred Bauer
 * Andrea Bittau
 * Javier Cardona
 * Atanu Ghosh
 * Adam Greenhalgh
 * Mark Handley
 * Orion Hodson
 * Eddie Kohler
 * Pavlin Radoslavov
 * Luigi Rizzo
 * Bruce M. Simpson
 * Marko Zec


%debug_package
%prep
%setup -a 1
%patch0

%build
%configure \
    --prefix=%{_libexecdir}/%{name} \
    --with-snmp --enable-shared --enable-optimize \
    --enable-debug-fnames || cat config.log
%{__make}

%install
%makeinstall
for j in README TODO BUGS DEVNOTES Notes ; do
    for i in $(ls */$j) ; do cp "$i" "$j.${i%%\/$j}" ; done
done
find docs-%{version}/ -name \*.pdf  | sed -e 's|^|%doc |g' > pdf.files

%clean
%{__rm} -rf %{buildroot}

%files -f pdf.files
%defattr(-,root,root,-)
# skip-check-libtool-deps
%{_bindir}/xorp_profiler
%{_bindir}/xorp_rtrmgr
%{_bindir}/xorpsh
%{_libexecdir}/xorp/
%doc BUGS ERRATA LICENSE RELEASE_NOTES
%doc README* TODO* BUGS* DEVNOTES* Notes*
%doc fea/README.mfea fea/DEVNOTES.mfea
%doc docs-%{version}/config/*.boot
%doc docs-%{version}/historic

%changelog
* Thu Mar 22 2007 mrueckert@suse.de
- update to version 1.4
